(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    100480,       2335]
NotebookOptionsPosition[     97947,       2257]
NotebookOutlinePosition[     98282,       2272]
CellTagsIndexPosition[     98239,       2269]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"load", " ", "package"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<E6gen.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Get", "[", "\"\<E6d.m\>\"", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"define", " ", "SM", " ", "generators"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Gluons", " ", "=", " ", 
     RowBox[{"E6gen", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "8"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ws", " ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"E6gen", "[", 
        RowBox[{"[", "12", "]"}], "]"}], ",", " ", 
       RowBox[{"E6gen", "[", 
        RowBox[{"[", "13", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"E6gen", "[", 
          RowBox[{"[", "11", "]"}], "]"}], "/", "2"}], " ", "+", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], "  ", 
         RowBox[{"E6gen", "[", 
          RowBox[{"[", "16", "]"}], "]"}]}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Y", " ", "=", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"3", "/", "5"}], "]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", " ", 
          RowBox[{"E6gen", "[", 
           RowBox[{"[", "11", "]"}], "]"}]}], "/", "2"}], " ", "+", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"E6gen", "[", 
           RowBox[{"[", "16", "]"}], "]"}], "/", 
          RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "2"}], " ", "+", " ", 
        RowBox[{"E6gen", "[", 
         RowBox[{"[", "19", "]"}], "]"}], " ", "-", "  ", 
        RowBox[{
         RowBox[{"E6gen", "[", 
          RowBox[{"[", "24", "]"}], "]"}], "/", 
         RowBox[{"Sqrt", "[", "3", "]"}]}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SMgen", " ", "=", " ", 
     RowBox[{"Join", "[", 
      RowBox[{"Gluons", ",", "Ws", ",", 
       RowBox[{"{", "Y", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "define", " ", "fields", " ", "in", " ", "the", " ", "fundamental", " ", 
      "representation", " ", "according", " ", "to", " ", "the", " ", "SM", 
      " ", "generators", " ", "above"}], ",", " ", 
     RowBox[{
     "the", " ", "arabic", " ", "numbers", " ", "stand", " ", "for", " ", 
      "colour"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FundRep", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{"d1", ",", 
       RowBox[{"D1", Cell[""]}], ",", "u1", ",", "d2", ",", "D2", ",", "u2", 
       ",", "d3", ",", "D3", ",", "u3", ",", "nu", ",", "Hup", ",", "Hd0", 
       ",", "s", ",", "ec", ",", "nuc", ",", "e", ",", "Hu0", ",", "Hdm", ",",
        "Dc1", ",", "Dc2", ",", "Dc3", ",", "uc1", ",", "uc2", ",", "uc3", 
       ",", "dc1", ",", "dc2", ",", "dc3"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"and", " ", "a", " ", "second", " ", "set"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FundRepP", " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"OverBar", "[", "#", "]"}], " ", "&"}], " ", "/@", " ", 
      "FundRep"}]}], ";"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.667190550437644*^9, 3.667190583660083*^9}, 
   3.6671906312363*^9, {3.667190667460631*^9, 3.667190682563599*^9}, {
   3.667191255551281*^9, 3.66719125779887*^9}, {3.667191389605917*^9, 
   3.667191389941948*^9}, {3.6671914322068653`*^9, 3.6671914395105953`*^9}, {
   3.6672824293567553`*^9, 3.667282430876543*^9}, 3.6672828973824453`*^9, {
   3.667296059131531*^9, 3.667296104571101*^9}, {3.667296173986854*^9, 
   3.667296394877199*^9}, {3.667296500314283*^9, 3.6672965348570347`*^9}, {
   3.667296749951139*^9, 3.667296785247405*^9}, {3.667296889381987*^9, 
   3.667296950936797*^9}, {3.667296981100412*^9, 3.6672969816602917`*^9}, {
   3.667297104397847*^9, 3.6672971075675364`*^9}, {3.667297251172799*^9, 
   3.667297488055352*^9}, {3.667297808518944*^9, 3.667297818471745*^9}, {
   3.667298188689435*^9, 3.667298224679038*^9}, {3.667298343448144*^9, 
   3.6672983496431293`*^9}, {3.667299214424973*^9, 3.6672992153756723`*^9}, {
   3.6675395118404207`*^9, 3.667539518293659*^9}, {3.6675448658627996`*^9, 
   3.667544905132547*^9}, 3.6675482333049793`*^9, {3.6676294788834763`*^9, 
   3.667629483088283*^9}, {3.6676421941838207`*^9, 3.6676422301080313`*^9}, {
   3.6676422940569897`*^9, 3.6676422946279583`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"some", " ", "basic", " ", "examples"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "show", " ", "fundamental", " ", "representaion", " ", "with", " ", 
     "quantum", " ", 
     RowBox[{"numbers", ":", " ", 
      RowBox[{"coulour", " ", "weights"}]}]}], ",", " ", 
    RowBox[{"isospin", " ", "and", " ", "hypercharge"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"TraditionalForm", "[", 
    RowBox[{"{", 
     RowBox[{"FundRep", ",", "\[IndentingNewLine]", 
      RowBox[{"2", " ", 
       RowBox[{"Diagonal", "[", 
        RowBox[{"Gluons", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"Diagonal", "[", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"Gluons", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"Sqrt", "[", "3", "]"}], 
         RowBox[{"Gluons", "[", 
          RowBox[{"[", "8", "]"}], "]"}]}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Diagonal", "[", 
       RowBox[{"Ws", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"5", "/", "3"}], "]"}], " ", 
        RowBox[{"Diagonal", "[", "Y", "]"}]}], "//", "Expand"}]}], "}"}], 
    "]"}], " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "cheack", " ", "GUT", " ", "normalisation", " ", "of", " ", 
     "hypercharge"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Tr", "[", 
       RowBox[{"Y", ".", "Y"}], "]"}], "\[Equal]", "3"}], ",", 
     RowBox[{"Print", "[", "\"\<correct\>\"", "]"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "check", " ", "angular", " ", "momentum", " ", "commutation", " ", 
     "relation", " ", "for", " ", "isospin"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Ws", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ".", 
        RowBox[{"Ws", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "-", 
       RowBox[{
        RowBox[{"Ws", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ".", 
        RowBox[{"Ws", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}]}], "\[Equal]", 
      RowBox[{"I", " ", 
       RowBox[{"Ws", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}]}], ",", " ", 
     RowBox[{"Print", "[", "\"\<correct\>\"", "]"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"better", ":", " ", 
     RowBox[{
     "write", " ", "a", " ", "function", " ", "that", " ", "calculates", " ", 
      "the", " ", "structure", " ", "constants", " ", "for", " ", "given", 
      " ", "generators"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"StrConst", "[", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "]"}], " ", ":=", " ", 
     RowBox[{
      RowBox[{"-", "I"}], " ", 
      RowBox[{
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"x", ".", "y"}], "-", 
           RowBox[{"y", ".", "x"}]}], ")"}], ".", "z"}], "]"}], "/", 
       "3"}]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"and", " ", "check", " ", "it", " ", "for", " ", "SU", 
     RowBox[{"(", "2", ")"}], "_L", " ", "and", " ", "hypercharge"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"this", " ", "should", " ", "give", " ", "1"}], ",", " ", "0", 
     ",", " ", "0", ",", " ", "0"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"StrConst", "[", 
    RowBox[{
     RowBox[{"Ws", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"Ws", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"Ws", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"StrConst", "[", 
    RowBox[{
     RowBox[{"Ws", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"Ws", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", "Y"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"StrConst", "[", 
    RowBox[{
     RowBox[{"Ws", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{"Ws", "[", 
      RowBox[{"[", "3", "]"}], "]"}], ",", "Y"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"StrConst", "[", 
    RowBox[{
     RowBox[{"Ws", "[", 
      RowBox[{"[", "3", "]"}], "]"}], ",", 
     RowBox[{"Ws", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "Y"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.667296554087229*^9, 3.667296561855517*^9}, {
   3.6672966050325727`*^9, 3.667296609589048*^9}, {3.667297449122723*^9, 
   3.667297740392166*^9}, {3.667297826230092*^9, 3.66729788077808*^9}, {
   3.667298170012553*^9, 3.667298178024877*^9}, {3.6675391363683653`*^9, 
   3.6675394358388166`*^9}, {3.667553555133065*^9, 3.6675535934219017`*^9}, {
   3.6675536353351707`*^9, 3.667553639275058*^9}, {3.6675537399696083`*^9, 
   3.667553789636157*^9}, {3.6675538365685368`*^9, 3.667553884265427*^9}, {
   3.667553933036367*^9, 3.667553936216045*^9}, {3.667553992498846*^9, 
   3.667554000348154*^9}, {3.66764223987568*^9, 3.667642247845468*^9}, 
   3.667642288042241*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"d1", 
      RowBox[{"D1", " ", 
       InterpretationBox[Cell[""],
        TextCell[""]]}], "u1", "d2", "D2", "u2", "d3", "D3", "u3", "nu", 
      "Hup", "Hd0", "s", "ec", "nuc", "e", "Hu0", "Hdm", "Dc1", "Dc2", "Dc3", 
      "uc1", "uc2", "uc3", "dc1", "dc2", "dc3"},
     {"1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "1", 
      RowBox[{"-", "1"}], "0", "1", 
      RowBox[{"-", "1"}], "0", "1", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "1", "1", "1", 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "1", 
      RowBox[{"-", "1"}], "0", "1", 
      RowBox[{"-", "1"}], "0", "1", 
      RowBox[{"-", "1"}]},
     {
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "6"], 
      RowBox[{"-", 
       FractionBox["1", "3"]}], 
      FractionBox["1", "6"], 
      FractionBox["1", "6"], 
      RowBox[{"-", 
       FractionBox["1", "3"]}], 
      FractionBox["1", "6"], 
      FractionBox["1", "6"], 
      RowBox[{"-", 
       FractionBox["1", "3"]}], 
      FractionBox["1", "6"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "1", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "3"], 
      FractionBox["1", "3"], 
      FractionBox["1", "3"], 
      RowBox[{"-", 
       FractionBox["2", "3"]}], 
      RowBox[{"-", 
       FractionBox["2", "3"]}], 
      RowBox[{"-", 
       FractionBox["2", "3"]}], 
      FractionBox["1", "3"], 
      FractionBox["1", "3"], 
      FractionBox["1", "3"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{
  3.667296562159503*^9, 3.667296610540394*^9, {3.667296776949191*^9, 
   3.6672967877496767`*^9}, 3.667296852168293*^9, {3.667296906039957*^9, 
   3.66729695380934*^9}, 3.6672969846665773`*^9, 3.6672971120101023`*^9, {
   3.667297563810719*^9, 3.667297614216782*^9}, 3.6672976470541773`*^9, 
   3.6672977081859007`*^9, 3.667297741391395*^9, {3.6672978655062532`*^9, 
   3.667297868693535*^9}, {3.667539376788213*^9, 3.667539424826969*^9}, 
   3.667543628053422*^9, 3.6675535941736393`*^9, 3.66755364030449*^9, {
   3.667553755973488*^9, 3.667553790311716*^9}, {3.667553851095969*^9, 
   3.6675538847050533`*^9}, 3.667553937063878*^9, 3.667637043833887*^9, 
   3.667639668920154*^9, 3.667642256436487*^9, 3.667715301742879*^9, 
   3.667725186407117*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"correct\"\>"], "Print",
 CellChangeTimes->{{3.667539382658663*^9, 3.66753942483036*^9}, 
   3.66754362805595*^9, 3.667553594177609*^9, 3.667553640307186*^9, {
   3.6675537559770927`*^9, 3.667553790313848*^9}, {3.6675538511053677`*^9, 
   3.667553884707279*^9}, 3.667553937066044*^9, 3.667637043836913*^9, 
   3.6676396689315653`*^9, 3.6676422564404907`*^9, 3.6677153017453947`*^9, 
   3.6677251864109488`*^9}],

Cell[BoxData["\<\"correct\"\>"], "Print",
 CellChangeTimes->{{3.667539382658663*^9, 3.66753942483036*^9}, 
   3.66754362805595*^9, 3.667553594177609*^9, 3.667553640307186*^9, {
   3.6675537559770927`*^9, 3.667553790313848*^9}, {3.6675538511053677`*^9, 
   3.667553884707279*^9}, 3.667553937066044*^9, 3.667637043836913*^9, 
   3.6676396689315653`*^9, 3.6676422564404907`*^9, 3.6677153017453947`*^9, 
   3.667725186411491*^9}]
}, Open  ]],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{
  3.667296562159503*^9, 3.667296610540394*^9, {3.667296776949191*^9, 
   3.6672967877496767`*^9}, 3.667296852168293*^9, {3.667296906039957*^9, 
   3.66729695380934*^9}, 3.6672969846665773`*^9, 3.6672971120101023`*^9, {
   3.667297563810719*^9, 3.667297614216782*^9}, 3.6672976470541773`*^9, 
   3.6672977081859007`*^9, 3.667297741391395*^9, {3.6672978655062532`*^9, 
   3.667297868693535*^9}, {3.667539376788213*^9, 3.667539424826969*^9}, 
   3.667543628053422*^9, 3.6675535941736393`*^9, 3.66755364030449*^9, {
   3.667553755973488*^9, 3.667553790311716*^9}, {3.667553851095969*^9, 
   3.6675538847050533`*^9}, 3.667553937063878*^9, 3.667637043833887*^9, 
   3.667639668920154*^9, 3.667642256436487*^9, 3.667715301742879*^9, 
   3.667725186429619*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.667296562159503*^9, 3.667296610540394*^9, {3.667296776949191*^9, 
   3.6672967877496767`*^9}, 3.667296852168293*^9, {3.667296906039957*^9, 
   3.66729695380934*^9}, 3.6672969846665773`*^9, 3.6672971120101023`*^9, {
   3.667297563810719*^9, 3.667297614216782*^9}, 3.6672976470541773`*^9, 
   3.6672977081859007`*^9, 3.667297741391395*^9, {3.6672978655062532`*^9, 
   3.667297868693535*^9}, {3.667539376788213*^9, 3.667539424826969*^9}, 
   3.667543628053422*^9, 3.6675535941736393`*^9, 3.66755364030449*^9, {
   3.667553755973488*^9, 3.667553790311716*^9}, {3.667553851095969*^9, 
   3.6675538847050533`*^9}, 3.667553937063878*^9, 3.667637043833887*^9, 
   3.667639668920154*^9, 3.667642256436487*^9, 3.667715301742879*^9, 
   3.6677251864474897`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.667296562159503*^9, 3.667296610540394*^9, {3.667296776949191*^9, 
   3.6672967877496767`*^9}, 3.667296852168293*^9, {3.667296906039957*^9, 
   3.66729695380934*^9}, 3.6672969846665773`*^9, 3.6672971120101023`*^9, {
   3.667297563810719*^9, 3.667297614216782*^9}, 3.6672976470541773`*^9, 
   3.6672977081859007`*^9, 3.667297741391395*^9, {3.6672978655062532`*^9, 
   3.667297868693535*^9}, {3.667539376788213*^9, 3.667539424826969*^9}, 
   3.667543628053422*^9, 3.6675535941736393`*^9, 3.66755364030449*^9, {
   3.667553755973488*^9, 3.667553790311716*^9}, {3.667553851095969*^9, 
   3.6675538847050533`*^9}, 3.667553937063878*^9, 3.667637043833887*^9, 
   3.667639668920154*^9, 3.667642256436487*^9, 3.667715301742879*^9, 
   3.667725186448045*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.667296562159503*^9, 3.667296610540394*^9, {3.667296776949191*^9, 
   3.6672967877496767`*^9}, 3.667296852168293*^9, {3.667296906039957*^9, 
   3.66729695380934*^9}, 3.6672969846665773`*^9, 3.6672971120101023`*^9, {
   3.667297563810719*^9, 3.667297614216782*^9}, 3.6672976470541773`*^9, 
   3.6672977081859007`*^9, 3.667297741391395*^9, {3.6672978655062532`*^9, 
   3.667297868693535*^9}, {3.667539376788213*^9, 3.667539424826969*^9}, 
   3.667543628053422*^9, 3.6675535941736393`*^9, 3.66755364030449*^9, {
   3.667553755973488*^9, 3.667553790311716*^9}, {3.667553851095969*^9, 
   3.6675538847050533`*^9}, 3.667553937063878*^9, 3.667637043833887*^9, 
   3.667639668920154*^9, 3.667642256436487*^9, 3.667715301742879*^9, 
   3.667725186448544*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "write", " ", "out", " ", "the", " ", "trinlinear", " ", "27", " ", 
    "couplings", " ", "in", " ", "components"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"using", " ", "the", " ", 
    RowBox[{"Sum", "[", "]"}], " ", "function"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"W1", " ", "=", 
    RowBox[{
     RowBox[{"\[Lambda]", "/", "6"}], "  ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"E6d", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "[", 
          RowBox[{"[", "j", "]"}], "]"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], " ", 
        RowBox[{"FundRep", "[", 
         RowBox[{"[", "i", "]"}], "]"}], " ", 
        RowBox[{"FundRep", "[", 
         RowBox[{"[", "j", "]"}], "]"}], " ", 
        RowBox[{"FundRep", "[", 
         RowBox[{"[", "k", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "27"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "27"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "27"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"using", " ", "the", " ", 
     RowBox[{"Dot", "[", "]"}], " ", "operator"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"W2", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[Lambda]", "/", "6"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"E6d", ".", "FundRep"}], ")"}], ".", "FundRep"}], ")"}], ".",
       "FundRep"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"compare", " ", "the", " ", "results"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Expand", "[", 
       RowBox[{"W1", "-", "W2"}], "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{"Print", "[", "\"\<correct\>\"", "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.667297901754539*^9, 3.667298162167191*^9}, {
  3.667298254373468*^9, 3.6672983270744057`*^9}, {3.6675395341106367`*^9, 
  3.667539545199209*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", "\[Lambda]", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"6", " ", "d1", " ", "dc1", " ", "Hd0"}], "+", 
    RowBox[{"6", " ", "d2", " ", "dc2", " ", "Hd0"}], "+", 
    RowBox[{"6", " ", "d3", " ", "dc3", " ", "Hd0"}], "+", 
    RowBox[{"6", " ", "e", " ", "ec", " ", "Hd0"}], "+", 
    RowBox[{"6", " ", "d1", " ", "Dc1", " ", "nu"}], "+", 
    RowBox[{"6", " ", "d2", " ", "Dc2", " ", "nu"}], "+", 
    RowBox[{"6", " ", "d3", " ", "Dc3", " ", "nu"}], "-", 
    RowBox[{"6", " ", "ec", " ", "Hdm", " ", "nu"}], "+", 
    RowBox[{"6", " ", "D2", " ", "dc2", " ", "nuc"}], "+", 
    RowBox[{"6", " ", "D3", " ", "dc3", " ", "nuc"}], "-", 
    RowBox[{"6", " ", "e", " ", "Hup", " ", "nuc"}], "+", 
    RowBox[{"6", " ", "Hu0", " ", "nu", " ", "nuc"}], "+", 
    RowBox[{"6", " ", "D2", " ", "Dc2", " ", "s"}], "+", 
    RowBox[{"6", " ", "D3", " ", "Dc3", " ", "s"}], "-", 
    RowBox[{"6", " ", "Hd0", " ", "Hu0", " ", "s"}], "+", 
    RowBox[{"6", " ", "Hdm", " ", "Hup", " ", "s"}], "+", 
    RowBox[{"6", " ", "D2", " ", "d3", " ", "u1"}], "-", 
    RowBox[{"6", " ", "d2", " ", "D3", " ", "u1"}], "+", 
    RowBox[{"6", " ", "Dc1", " ", "e", " ", "u1"}], "+", 
    RowBox[{"6", " ", "dc1", " ", "Hdm", " ", "u1"}], "+", 
    RowBox[{"6", " ", "d1", " ", "D3", " ", "u2"}], "+", 
    RowBox[{"6", " ", "Dc2", " ", "e", " ", "u2"}], "+", 
    RowBox[{"6", " ", "dc2", " ", "Hdm", " ", "u2"}], "-", 
    RowBox[{"6", " ", "d1", " ", "D2", " ", "u3"}], "+", 
    RowBox[{"6", " ", "Dc3", " ", "e", " ", "u3"}], "+", 
    RowBox[{"6", " ", "dc3", " ", "Hdm", " ", "u3"}], "+", 
    RowBox[{"6", " ", "Dc2", " ", "dc3", " ", "uc1"}], "-", 
    RowBox[{"6", " ", "dc2", " ", "Dc3", " ", "uc1"}], "+", 
    RowBox[{"6", " ", "d1", " ", "Hup", " ", "uc1"}], "+", 
    RowBox[{"6", " ", "Hu0", " ", "u1", " ", "uc1"}], "-", 
    RowBox[{"6", " ", "Dc1", " ", "dc3", " ", "uc2"}], "+", 
    RowBox[{"6", " ", "dc1", " ", "Dc3", " ", "uc2"}], "+", 
    RowBox[{"6", " ", "D2", " ", "ec", " ", "uc2"}], "+", 
    RowBox[{"6", " ", "d2", " ", "Hup", " ", "uc2"}], "+", 
    RowBox[{"6", " ", "Hu0", " ", "u2", " ", "uc2"}], "+", 
    RowBox[{"6", " ", "Dc1", " ", "dc2", " ", "uc3"}], "-", 
    RowBox[{"6", " ", "dc1", " ", "Dc2", " ", "uc3"}], "+", 
    RowBox[{"6", " ", "D3", " ", "ec", " ", "uc3"}], "+", 
    RowBox[{"6", " ", "d3", " ", "Hup", " ", "uc3"}], "+", 
    RowBox[{"6", " ", "Hu0", " ", "u3", " ", "uc3"}], "+", 
    RowBox[{"6", " ", "D1", " ", "dc1", " ", "nuc", " ", 
     InterpretationBox[Cell[""],
      TextCell[""]]}], "+", 
    RowBox[{"6", " ", "D1", " ", "Dc1", " ", "s", " ", 
     InterpretationBox[Cell[""],
      TextCell[""]]}], "-", 
    RowBox[{"6", " ", "D1", " ", "d3", " ", "u2", " ", 
     InterpretationBox[Cell[""],
      TextCell[""]]}], "+", 
    RowBox[{"6", " ", "D1", " ", "d2", " ", "u3", " ", 
     InterpretationBox[Cell[""],
      TextCell[""]]}], "+", 
    RowBox[{"6", " ", "D1", " ", "ec", " ", "uc1", " ", 
     InterpretationBox[Cell[""],
      TextCell[""]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.667298327481855*^9, 3.667539382804595*^9, 
  3.66753954746327*^9, 3.667543628165135*^9, 3.6676370439737263`*^9, 
  3.667639669052125*^9, 3.6677153018653584`*^9, 3.6677251865515327`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "6"], " ", "\[Lambda]", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"nu", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d1", " ", "Dc1"}], "+", 
       RowBox[{"2", " ", "d2", " ", "Dc2"}], "+", 
       RowBox[{"2", " ", "d3", " ", "Dc3"}], "-", 
       RowBox[{"2", " ", "ec", " ", "Hdm"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "nuc"}]}], ")"}]}], "+", 
    RowBox[{"Hd0", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d1", " ", "dc1"}], "+", 
       RowBox[{"2", " ", "d2", " ", "dc2"}], "+", 
       RowBox[{"2", " ", "d3", " ", "dc3"}], "+", 
       RowBox[{"2", " ", "e", " ", "ec"}], "-", 
       RowBox[{"2", " ", "Hu0", " ", "s"}]}], ")"}]}], "+", 
    RowBox[{"Hdm", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "ec", " ", "nu"}], "+", 
       RowBox[{"2", " ", "Hup", " ", "s"}], "+", 
       RowBox[{"2", " ", "dc1", " ", "u1"}], "+", 
       RowBox[{"2", " ", "dc2", " ", "u2"}], "+", 
       RowBox[{"2", " ", "dc3", " ", "u3"}]}], ")"}]}], "+", 
    RowBox[{"e", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "ec", " ", "Hd0"}], "-", 
       RowBox[{"2", " ", "Hup", " ", "nuc"}], "+", 
       RowBox[{"2", " ", "Dc1", " ", "u1"}], "+", 
       RowBox[{"2", " ", "Dc2", " ", "u2"}], "+", 
       RowBox[{"2", " ", "Dc3", " ", "u3"}]}], ")"}]}], "+", 
    RowBox[{"u1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "D2", " ", "d3"}], "-", 
       RowBox[{"2", " ", "d2", " ", "D3"}], "+", 
       RowBox[{"2", " ", "Dc1", " ", "e"}], "+", 
       RowBox[{"2", " ", "dc1", " ", "Hdm"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "uc1"}]}], ")"}]}], "+", 
    RowBox[{"d1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dc1", " ", "Hd0"}], "+", 
       RowBox[{"2", " ", "Dc1", " ", "nu"}], "+", 
       RowBox[{"2", " ", "D3", " ", "u2"}], "-", 
       RowBox[{"2", " ", "D2", " ", "u3"}], "+", 
       RowBox[{"2", " ", "Hup", " ", "uc1"}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "Dc1", " ", "dc3"}], "+", 
       RowBox[{"2", " ", "dc1", " ", "Dc3"}], "+", 
       RowBox[{"2", " ", "D2", " ", "ec"}], "+", 
       RowBox[{"2", " ", "d2", " ", "Hup"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "u2"}]}], ")"}], " ", "uc2"}], "+", 
    RowBox[{"Dc3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d3", " ", "nu"}], "+", 
       RowBox[{"2", " ", "D3", " ", "s"}], "+", 
       RowBox[{"2", " ", "e", " ", "u3"}], "-", 
       RowBox[{"2", " ", "dc2", " ", "uc1"}], "+", 
       RowBox[{"2", " ", "dc1", " ", "uc2"}]}], ")"}]}], "+", 
    RowBox[{"dc3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d3", " ", "Hd0"}], "+", 
       RowBox[{"2", " ", "D3", " ", "nuc"}], "+", 
       RowBox[{"2", " ", "Hdm", " ", "u3"}], "+", 
       RowBox[{"2", " ", "Dc2", " ", "uc1"}], "-", 
       RowBox[{"2", " ", "Dc1", " ", "uc2"}]}], ")"}]}], "+", 
    RowBox[{"D2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dc2", " ", "nuc"}], "+", 
       RowBox[{"2", " ", "Dc2", " ", "s"}], "+", 
       RowBox[{"2", " ", "d3", " ", "u1"}], "-", 
       RowBox[{"2", " ", "d1", " ", "u3"}], "+", 
       RowBox[{"2", " ", "ec", " ", "uc2"}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "Dc1", " ", "dc2"}], "-", 
       RowBox[{"2", " ", "dc1", " ", "Dc2"}], "+", 
       RowBox[{"2", " ", "D3", " ", "ec"}], "+", 
       RowBox[{"2", " ", "d3", " ", "Hup"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "u3"}]}], ")"}], " ", "uc3"}], "+", 
    RowBox[{"Hup", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "e", " ", "nuc"}], "+", 
       RowBox[{"2", " ", "Hdm", " ", "s"}], "+", 
       RowBox[{"2", " ", "d1", " ", "uc1"}], "+", 
       RowBox[{"2", " ", "d2", " ", "uc2"}], "+", 
       RowBox[{"2", " ", "d3", " ", "uc3"}]}], ")"}]}], "+", 
    RowBox[{"Dc2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d2", " ", "nu"}], "+", 
       RowBox[{"2", " ", "D2", " ", "s"}], "+", 
       RowBox[{"2", " ", "e", " ", "u2"}], "+", 
       RowBox[{"2", " ", "dc3", " ", "uc1"}], "-", 
       RowBox[{"2", " ", "dc1", " ", "uc3"}]}], ")"}]}], "+", 
    RowBox[{"dc2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d2", " ", "Hd0"}], "+", 
       RowBox[{"2", " ", "D2", " ", "nuc"}], "+", 
       RowBox[{"2", " ", "Hdm", " ", "u2"}], "-", 
       RowBox[{"2", " ", "Dc3", " ", "uc1"}], "+", 
       RowBox[{"2", " ", "Dc1", " ", "uc3"}]}], ")"}]}], "+", 
    RowBox[{"D3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dc3", " ", "nuc"}], "+", 
       RowBox[{"2", " ", "Dc3", " ", "s"}], "-", 
       RowBox[{"2", " ", "d2", " ", "u1"}], "+", 
       RowBox[{"2", " ", "d1", " ", "u2"}], "+", 
       RowBox[{"2", " ", "ec", " ", "uc3"}]}], ")"}]}], "+", 
    RowBox[{"Hu0", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "nu", " ", "nuc"}], "-", 
       RowBox[{"2", " ", "Hd0", " ", "s"}], "+", 
       RowBox[{"2", " ", "u1", " ", "uc1"}], "+", 
       RowBox[{"2", " ", "u2", " ", "uc2"}], "+", 
       RowBox[{"2", " ", "u3", " ", "uc3"}]}], ")"}]}], "+", 
    RowBox[{"D1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dc1", " ", "nuc"}], "+", 
       RowBox[{"2", " ", "Dc1", " ", "s"}], "-", 
       RowBox[{"2", " ", "d3", " ", "u2"}], "+", 
       RowBox[{"2", " ", "d2", " ", "u3"}], "+", 
       RowBox[{"2", " ", "ec", " ", "uc1"}]}], ")"}], " ", 
     InterpretationBox[Cell[""],
      TextCell[""]]}], "+", 
    RowBox[{"u3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "d1", " ", "D2"}], "+", 
       RowBox[{"2", " ", "Dc3", " ", "e"}], "+", 
       RowBox[{"2", " ", "dc3", " ", "Hdm"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "uc3"}], "+", 
       RowBox[{"2", " ", "D1", " ", "d2", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"u2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d1", " ", "D3"}], "+", 
       RowBox[{"2", " ", "Dc2", " ", "e"}], "+", 
       RowBox[{"2", " ", "dc2", " ", "Hdm"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "uc2"}], "-", 
       RowBox[{"2", " ", "D1", " ", "d3", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"nuc", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "D2", " ", "dc2"}], "+", 
       RowBox[{"2", " ", "D3", " ", "dc3"}], "-", 
       RowBox[{"2", " ", "e", " ", "Hup"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "nu"}], "+", 
       RowBox[{"2", " ", "D1", " ", "dc1", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"s", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "D2", " ", "Dc2"}], "+", 
       RowBox[{"2", " ", "D3", " ", "Dc3"}], "-", 
       RowBox[{"2", " ", "Hd0", " ", "Hu0"}], "+", 
       RowBox[{"2", " ", "Hdm", " ", "Hup"}], "+", 
       RowBox[{"2", " ", "D1", " ", "Dc1", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"uc1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "Dc2", " ", "dc3"}], "-", 
       RowBox[{"2", " ", "dc2", " ", "Dc3"}], "+", 
       RowBox[{"2", " ", "d1", " ", "Hup"}], "+", 
       RowBox[{"2", " ", "Hu0", " ", "u1"}], "+", 
       RowBox[{"2", " ", "D1", " ", "ec", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"dc1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d1", " ", "Hd0"}], "+", 
       RowBox[{"2", " ", "Hdm", " ", "u1"}], "+", 
       RowBox[{"2", " ", "Dc3", " ", "uc2"}], "-", 
       RowBox[{"2", " ", "Dc2", " ", "uc3"}], "+", 
       RowBox[{"2", " ", "D1", " ", "nuc", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"Dc1", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "d1", " ", "nu"}], "+", 
       RowBox[{"2", " ", "e", " ", "u1"}], "-", 
       RowBox[{"2", " ", "dc3", " ", "uc2"}], "+", 
       RowBox[{"2", " ", "dc2", " ", "uc3"}], "+", 
       RowBox[{"2", " ", "D1", " ", "s", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"d3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dc3", " ", "Hd0"}], "+", 
       RowBox[{"2", " ", "Dc3", " ", "nu"}], "+", 
       RowBox[{"2", " ", "D2", " ", "u1"}], "+", 
       RowBox[{"2", " ", "Hup", " ", "uc3"}], "-", 
       RowBox[{"2", " ", "D1", " ", "u2", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"d2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "dc2", " ", "Hd0"}], "+", 
       RowBox[{"2", " ", "Dc2", " ", "nu"}], "-", 
       RowBox[{"2", " ", "D3", " ", "u1"}], "+", 
       RowBox[{"2", " ", "Hup", " ", "uc2"}], "+", 
       RowBox[{"2", " ", "D1", " ", "u3", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}], "+", 
    RowBox[{"ec", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "e", " ", "Hd0"}], "-", 
       RowBox[{"2", " ", "Hdm", " ", "nu"}], "+", 
       RowBox[{"2", " ", "D2", " ", "uc2"}], "+", 
       RowBox[{"2", " ", "D3", " ", "uc3"}], "+", 
       RowBox[{"2", " ", "D1", " ", "uc1", " ", 
        InterpretationBox[Cell[""],
         TextCell[""]]}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.667298327481855*^9, 3.667539382804595*^9, 
  3.66753954746327*^9, 3.667543628165135*^9, 3.6676370439737263`*^9, 
  3.667639669052125*^9, 3.6677153018653584`*^9, 3.667725186578141*^9}],

Cell[BoxData["\<\"correct\"\>"], "Print",
 CellChangeTimes->{{3.667298300252425*^9, 3.667298327485195*^9}, 
   3.667539382816029*^9, 3.6675395474711523`*^9, 3.667543628279498*^9, 
   3.667637044006201*^9, 3.667639669181048*^9, 3.6677153018778067`*^9, 
   3.667725186580366*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "examples", " ", "with", " ", "higher", " ", "dimensional", " ", 
    "representations"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Now", " ", "you", " ", "need", " ", "the", " ", 
    RowBox[{"\"\<E6Tensors.m\>\"", ".", " ", "Run"}], " ", 
    "\"\<create_E6Tensors.m\>\"", " ", "if", " ", "it", " ", "does", " ", 
    "not", " ", 
    RowBox[{"(", "yet", ")"}], " ", 
    RowBox[{"exist", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Get", "[", "\"\<E6Tensors.m\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6672983331426287`*^9, 3.667298415056964*^9}, {
  3.6672984463115387`*^9, 3.667298447166514*^9}, {3.66753956393155*^9, 
  3.667539609107325*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"working", " ", "with", " ", "351", " ", "and", " ", 
    RowBox[{"251", "'"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "check", " ", "contraction", " ", "condition", " ", "for", " ", "E6S"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Do", "[", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"E6d", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ".", "E6S"}], "]"}], " ", "//", " ",
        "Expand"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "27"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "normalisation", " ", "of", " ", "E6S"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{"E6S", ".", 
      RowBox[{"Transpose", "[", "E6S", "]"}]}], "]"}], " ", "//", " ", 
    "Simplify"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "antisymmetry", " ", "for", " ", "ES8"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"E6A", "\[Equal]", 
    RowBox[{"-", 
     RowBox[{"Transpose", "[", "E6A", "]"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "normalisation", " ", "E6A"}], " ", "*)"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{"E6A", ".", 
      RowBox[{"Transpose", "[", "E6A", "]"}]}], "]"}], " ", "//", " ", 
    "Simplify"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.667545197060954*^9, 3.667545202399906*^9}, {
  3.667549591305869*^9, 3.667549592727274*^9}, {3.6675496422546663`*^9, 
  3.667549662986292*^9}, {3.6675497174395113`*^9, 3.66754987348619*^9}, {
  3.66755011649631*^9, 3.667550217581293*^9}, {3.6675502956965637`*^9, 
  3.667550296776629*^9}, {3.667553410546946*^9, 3.667553411275715*^9}, {
  3.667644777637492*^9, 3.667644876909522*^9}}],

Cell[CellGroupData[{

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204565489*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204585288*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204603587*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204622641*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204641947*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204662286*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.66772520468277*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204708931*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204728408*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.6677252047532377`*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204772558*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204798365*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.6677252048185377`*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204845113*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.6677252048655167`*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204872216*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204899279*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204918562*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204945215*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204965148*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.6677252049715853`*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725204997753*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.6677252050175953`*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725205042255*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725205061977*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.6677252050861273`*^9}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.6675498611028214`*^9, {3.667550199771151*^9, 3.667550218980233*^9}, 
   3.6675533052635307`*^9, 3.6675534121946383`*^9, 3.667637063957629*^9, 
   3.667639689095875*^9, {3.667644781361843*^9, 3.667644833498857*^9}, 
   3.6676448788784847`*^9, 3.667715320661232*^9, 3.667725205105266*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Chi]", "1", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "2", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "3", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "4", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "5", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "6", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "7", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "8", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "9", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "10", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "11", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "12", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "13", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "14", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "15", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "16", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "17", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "18", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "19", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "20", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "21", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "22", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "23", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "24", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "25", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "26", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "27", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "28", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "29", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "30", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "31", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "32", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "33", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "34", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "35", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "36", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "37", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "38", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "39", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "40", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "41", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "42", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "43", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "44", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "45", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "46", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "47", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "48", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "49", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "50", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "51", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "52", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "53", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "54", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "55", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "56", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "57", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "58", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "59", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "60", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "61", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "62", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "63", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "64", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "65", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "66", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "67", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "68", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "69", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "70", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "71", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "72", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "73", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "74", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "75", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "76", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "77", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "78", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "79", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "80", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "81", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "82", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "83", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "84", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "85", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "86", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "87", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "88", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "89", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "90", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "91", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "92", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "93", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "94", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "95", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "96", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "97", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "98", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "99", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "100", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "101", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "102", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "103", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "104", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "105", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "106", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "107", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "108", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "109", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "110", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "111", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "112", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "113", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "114", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "115", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "116", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "117", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "118", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "119", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "120", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "121", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "122", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "123", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "124", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "125", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "126", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "127", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "128", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "129", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "130", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "131", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "132", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "133", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "134", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "135", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "136", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "137", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "138", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "139", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "140", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "141", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "142", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "143", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "144", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "145", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "146", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "147", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "148", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "149", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "150", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "151", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "152", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "153", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "154", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "155", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "156", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "157", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "158", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "159", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "160", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "161", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "162", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "163", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "164", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "165", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "166", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "167", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "168", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "169", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "170", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "171", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "172", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "173", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "174", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "175", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "176", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "177", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "178", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "179", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "180", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "181", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "182", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "183", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "184", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "185", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "186", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "187", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "188", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "189", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "190", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "191", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "192", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "193", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "194", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "195", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "196", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "197", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "198", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "199", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "200", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "201", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "202", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "203", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "204", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "205", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "206", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "207", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "208", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "209", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "210", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "211", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "212", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "213", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "214", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "215", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "216", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "217", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "218", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "219", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "220", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "221", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "222", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "223", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "224", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "225", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "226", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "227", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "228", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "229", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "230", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "231", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "232", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "233", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "234", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "235", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "236", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "237", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "238", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "239", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "240", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "241", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "242", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "243", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "244", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "245", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "246", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "247", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "248", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "249", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "250", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "251", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "252", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "253", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "254", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "255", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "256", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "257", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "258", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "259", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "260", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "261", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "262", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "263", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "264", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "265", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "266", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "267", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "268", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "269", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "270", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "271", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "272", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "273", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "274", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "275", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "276", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "277", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "278", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "279", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "280", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "281", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "282", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "283", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "284", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "285", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "286", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "287", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "288", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "289", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "290", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "291", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "292", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "293", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "294", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "295", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "296", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "297", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "298", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "299", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "300", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "301", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "302", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "303", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "304", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "305", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "306", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "307", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "308", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "309", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "310", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "311", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "312", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "313", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "314", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "315", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "316", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "317", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "318", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "319", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "320", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "321", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "322", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "323", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "324", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "325", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "326", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "327", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "328", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "329", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "330", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "331", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "332", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "333", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "334", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "335", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "336", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "337", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "338", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "339", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "340", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "341", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "342", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "343", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "344", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "345", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "346", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "347", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "348", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "349", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "350", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "351", "2"]}]], "Output",
 CellChangeTimes->{
  3.6675452026677303`*^9, 3.667549593182972*^9, {3.667549658395536*^9, 
   3.667549663515601*^9}, {3.667549796011105*^9, 3.667549807266883*^9}, 
   3.667549861152032*^9, {3.6675501998199253`*^9, 3.667550219028222*^9}, 
   3.667553310684289*^9, 3.667553412241994*^9, 3.667637069210886*^9, 
   3.667639694357007*^9, {3.667644781411113*^9, 3.667644833546432*^9}, 
   3.6676448794371653`*^9, 3.667715326528977*^9, 3.667725210380375*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.6675452026677303`*^9, 3.667549593182972*^9, {3.667549658395536*^9, 
   3.667549663515601*^9}, {3.667549796011105*^9, 3.667549807266883*^9}, 
   3.667549861152032*^9, {3.6675501998199253`*^9, 3.667550219028222*^9}, 
   3.667553310684289*^9, 3.667553412241994*^9, 3.667637069210886*^9, 
   3.667639694357007*^9, {3.667644781411113*^9, 3.667644833546432*^9}, 
   3.6676448794371653`*^9, 3.667715326528977*^9, 3.667725210381546*^9}],

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Chi]", "1", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "2", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "3", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "4", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "5", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "6", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "7", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "8", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "9", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "10", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "11", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "12", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "13", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "14", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "15", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "16", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "17", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "18", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "19", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "20", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "21", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "22", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "23", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "24", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "25", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "26", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "27", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "28", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "29", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "30", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "31", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "32", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "33", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "34", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "35", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "36", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "37", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "38", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "39", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "40", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "41", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "42", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "43", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "44", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "45", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "46", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "47", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "48", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "49", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "50", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "51", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "52", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "53", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "54", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "55", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "56", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "57", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "58", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "59", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "60", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "61", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "62", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "63", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "64", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "65", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "66", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "67", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "68", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "69", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "70", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "71", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "72", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "73", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "74", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "75", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "76", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "77", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "78", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "79", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "80", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "81", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "82", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "83", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "84", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "85", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "86", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "87", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "88", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "89", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "90", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "91", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "92", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "93", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "94", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "95", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "96", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "97", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "98", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "99", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "100", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "101", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "102", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "103", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "104", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "105", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "106", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "107", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "108", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "109", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "110", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "111", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "112", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "113", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "114", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "115", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "116", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "117", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "118", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "119", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "120", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "121", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "122", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "123", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "124", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "125", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "126", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "127", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "128", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "129", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "130", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "131", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "132", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "133", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "134", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "135", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "136", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "137", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "138", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "139", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "140", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "141", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "142", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "143", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "144", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "145", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "146", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "147", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "148", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "149", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "150", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "151", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "152", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "153", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "154", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "155", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "156", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "157", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "158", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "159", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "160", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "161", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "162", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "163", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "164", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "165", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "166", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "167", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "168", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "169", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "170", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "171", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "172", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "173", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "174", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "175", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "176", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "177", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "178", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "179", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "180", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "181", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "182", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "183", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "184", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "185", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "186", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "187", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "188", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "189", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "190", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "191", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "192", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "193", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "194", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "195", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "196", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "197", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "198", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "199", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "200", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "201", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "202", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "203", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "204", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "205", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "206", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "207", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "208", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "209", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "210", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "211", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "212", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "213", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "214", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "215", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "216", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "217", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "218", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "219", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "220", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "221", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "222", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "223", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "224", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "225", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "226", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "227", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "228", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "229", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "230", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "231", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "232", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "233", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "234", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "235", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "236", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "237", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "238", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "239", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "240", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "241", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "242", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "243", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "244", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "245", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "246", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "247", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "248", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "249", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "250", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "251", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "252", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "253", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "254", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "255", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "256", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "257", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "258", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "259", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "260", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "261", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "262", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "263", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "264", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "265", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "266", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "267", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "268", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "269", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "270", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "271", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "272", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "273", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "274", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "275", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "276", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "277", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "278", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "279", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "280", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "281", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "282", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "283", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "284", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "285", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "286", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "287", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "288", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "289", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "290", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "291", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "292", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "293", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "294", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "295", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "296", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "297", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "298", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "299", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "300", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "301", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "302", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "303", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "304", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "305", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "306", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "307", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "308", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "309", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "310", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "311", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "312", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "313", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "314", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "315", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "316", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "317", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "318", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "319", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "320", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "321", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "322", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "323", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "324", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "325", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "326", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "327", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "328", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "329", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "330", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "331", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "332", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "333", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "334", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "335", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "336", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "337", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "338", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "339", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "340", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "341", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "342", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "343", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "344", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "345", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "346", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "347", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "348", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "349", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "350", "2"], "+", 
  SubsuperscriptBox["\[Chi]", "351", "2"]}]], "Output",
 CellChangeTimes->{
  3.6675452026677303`*^9, 3.667549593182972*^9, {3.667549658395536*^9, 
   3.667549663515601*^9}, {3.667549796011105*^9, 3.667549807266883*^9}, 
   3.667549861152032*^9, {3.6675501998199253`*^9, 3.667550219028222*^9}, 
   3.667553310684289*^9, 3.667553412241994*^9, 3.667637069210886*^9, 
   3.667639694357007*^9, {3.667644781411113*^9, 3.667644833546432*^9}, 
   3.6676448794371653`*^9, 3.667715326528977*^9, 3.667725210917211*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "couple", " ", "them", " ", "to", " ", "fundamental", " ", 
    "representations"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"W3", " ", "=", " ", 
     RowBox[{"FundRep", ".", "E6S", ".", "FundRep"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"W4", " ", "=", " ", 
     RowBox[{"FundRepP", ".", "E6A", ".", "FundRep"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "write", " ", "out", " ", "at", " ", "the", " ", "coupling", " ", "of", 
     " ", "d1", " ", "to", " ", "dc1"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Coefficient", "[", 
    RowBox[{"W3", ",", 
     RowBox[{"d1", " ", "dc1"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Coefficient", "[", 
    RowBox[{"W4", ",", 
     RowBox[{"d1", " ", 
      RowBox[{"OverBar", "[", "dc1", "]"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.667550477521346*^9, 3.667550505400576*^9}, {
   3.667550537217513*^9, 3.667550540068321*^9}, {3.66755323215629*^9, 
   3.667553296263165*^9}, 3.6675534311555843`*^9, 3.667553532651432*^9, 
   3.667554185395649*^9, 3.667554763709999*^9, 3.667554850766034*^9, 
   3.6676371564751043`*^9, {3.667644915962406*^9, 3.667644916208461*^9}}],

Cell[BoxData[
 RowBox[{
  SqrtBox["2"], " ", 
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[Chi]", "288"], "-", 
    RowBox[{
     FractionBox["1", "20"], " ", 
     RowBox[{"(", 
      RowBox[{"5", "+", 
       SqrtBox["5"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["\[Chi]", "288"], "+", 
       SubscriptBox["\[Chi]", "289"], "+", 
       SubscriptBox["\[Chi]", "290"], "+", 
       SubscriptBox["\[Chi]", "291"]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.667550321031312*^9, {3.667550491903987*^9, 3.667550505822863*^9}, {
   3.66755323822507*^9, 3.667553278832632*^9}, 3.667553533830933*^9, 
   3.6675547651003513`*^9, 3.667554851991559*^9, 3.66763707036546*^9, 
   3.6676396955278053`*^9, 3.667644918792357*^9, 3.667715327120902*^9, 
   3.667725211051124*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   SubscriptBox["\[Chi]", "24"], 
   SqrtBox["2"]]}]], "Output",
 CellChangeTimes->{
  3.667550321031312*^9, {3.667550491903987*^9, 3.667550505822863*^9}, {
   3.66755323822507*^9, 3.667553278832632*^9}, 3.667553533830933*^9, 
   3.6675547651003513`*^9, 3.667554851991559*^9, 3.66763707036546*^9, 
   3.6676396955278053`*^9, 3.667644918792357*^9, 3.667715327120902*^9, 
   3.66772521408496*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "construct", " ", "a", " ", "colour", " ", "and", " ", "charge", " ", 
    "invariant", " ", "VEV", " ", "for", " ", "both", " ", "351", " ", "and", 
    " ", 
    RowBox[{"351", "'"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Vev1", " ", "=", " ", "E6S"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Vev2", " ", "=", " ", "E6A"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"colour", " ", "singlet"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Do", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"Vev1", " ", "=", " ", 
       RowBox[{"Vev1", " ", "/.", " ", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{
              RowBox[{"SMgen", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ".", "Vev1"}], "]"}], "+", 
            RowBox[{
             RowBox[{"SMgen", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ".", "Vev1"}]}], "\[Equal]", 
           "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Vev2", " ", "=", " ", 
       RowBox[{"Vev2", " ", "/.", " ", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{
              RowBox[{"SMgen", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ".", "Vev2"}], "]"}], "-", 
            RowBox[{
             RowBox[{"SMgen", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ".", "Vev2"}]}], "\[Equal]", 
           "0"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}]}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "8"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"el", ".", " ", "uncharged"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Qel", " ", "=", " ", 
     RowBox[{
      RowBox[{"Ws", "[", 
       RowBox[{"[", "3", "]"}], "]"}], "+", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{"5", "/", "3"}], "]"}], " ", "Y"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Vev1", " ", "=", " ", 
     RowBox[{"Vev1", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"Qel", ".", "Vev1"}], "]"}], "+", 
          RowBox[{"Qel", ".", "Vev1"}]}], "\[Equal]", "0"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Vev2", " ", "=", " ", 
     RowBox[{"Vev2", " ", "/.", " ", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"Qel", ".", "Vev2"}], "]"}], "-", 
          RowBox[{"Qel", ".", "Vev2"}]}], "\[Equal]", "0"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Yukawa1", "  ", "=", " ", 
    RowBox[{
     RowBox[{"FundRep", ".", "Vev1", ".", "FundRep"}], " ", "//", " ", 
     "Simplify"}]}], "\[IndentingNewLine]", 
   RowBox[{"Yukawa2", " ", "=", " ", 
    RowBox[{
     RowBox[{"FundRepP", ".", "Vev2", ".", "FundRep"}], "//", " ", "Simplify",
      "\[IndentingNewLine]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6676397181987953`*^9, 3.667639751512999*^9}, {
   3.667639781765489*^9, 3.667639882655602*^9}, {3.6676399168722887`*^9, 
   3.667639976399289*^9}, {3.667640425819728*^9, 3.667640492588162*^9}, {
   3.667641439371026*^9, 3.667641462904523*^9}, {3.667641521424911*^9, 
   3.667641523798881*^9}, {3.667642141736704*^9, 3.66764215325942*^9}, {
   3.667642306571064*^9, 3.66764235459662*^9}, {3.6676423912336273`*^9, 
   3.6676424622391567`*^9}, {3.667642544871171*^9, 3.667642988236624*^9}, {
   3.6676431478960333`*^9, 3.667643227413089*^9}, {3.667643364876832*^9, 
   3.6676433718040953`*^9}, {3.667643665185659*^9, 3.667643669648151*^9}, {
   3.6676437078575487`*^9, 3.667643744107477*^9}, {3.667643821929196*^9, 
   3.667643826511634*^9}, {3.667643995532568*^9, 3.667644020243202*^9}, {
   3.667644057901865*^9, 3.667644120349742*^9}, {3.667644218815475*^9, 
   3.6676442670281982`*^9}, {3.667644301998562*^9, 3.667644305627412*^9}, {
   3.667644351237535*^9, 3.667644357428769*^9}, {3.6676445448975277`*^9, 
   3.6676445706953773`*^9}, {3.667715255038863*^9, 3.6677152586937447`*^9}, 
   3.667715355675208*^9, {3.667715464507895*^9, 3.667715468242654*^9}, {
   3.667715502507779*^9, 3.6677155205717707`*^9}, {3.6677155705647087`*^9, 
   3.6677155722852507`*^9}, {3.667715607067944*^9, 3.667715643685129*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    RowBox[{"-", "5"}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["5"]}]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SqrtBox["2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "5"}], "+", 
       RowBox[{"3", " ", 
        SqrtBox["5"]}]}], ")"}], " ", "Hd0", " ", "nu", " ", 
     SubscriptBox["\[Chi]", "128"]}], "+", 
    RowBox[{
     SqrtBox["2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "5"}], "+", 
       RowBox[{"3", " ", 
        SqrtBox["5"]}]}], ")"}], " ", "nu", " ", "s", " ", 
     SubscriptBox["\[Chi]", "129"]}], "-", 
    RowBox[{"5", " ", 
     SqrtBox["2"], " ", "Hd0", " ", "nuc", " ", 
     SubscriptBox["\[Chi]", "146"]}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["10"], " ", "Hd0", " ", "nuc", " ", 
     SubscriptBox["\[Chi]", "146"]}], "-", 
    RowBox[{"5", " ", 
     SqrtBox["2"], " ", "nuc", " ", "s", " ", 
     SubscriptBox["\[Chi]", "155"]}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["10"], " ", "nuc", " ", "s", " ", 
     SubscriptBox["\[Chi]", "155"]}], "-", 
    RowBox[{"5", " ", 
     SuperscriptBox["nu", "2"], " ", 
     SubscriptBox["\[Chi]", "226"]}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["5"], " ", 
     SuperscriptBox["nu", "2"], " ", 
     SubscriptBox["\[Chi]", "226"]}], "-", 
    RowBox[{"5", " ", 
     SuperscriptBox["Hd0", "2"], " ", 
     SubscriptBox["\[Chi]", "228"]}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["5"], " ", 
     SuperscriptBox["Hd0", "2"], " ", 
     SubscriptBox["\[Chi]", "228"]}], "-", 
    RowBox[{"5", " ", 
     SuperscriptBox["s", "2"], " ", 
     SubscriptBox["\[Chi]", "229"]}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["5"], " ", 
     SuperscriptBox["s", "2"], " ", 
     SubscriptBox["\[Chi]", "229"]}], "-", 
    RowBox[{"5", " ", 
     SuperscriptBox["nuc", "2"], " ", 
     SubscriptBox["\[Chi]", "231"]}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["5"], " ", 
     SuperscriptBox["nuc", "2"], " ", 
     SubscriptBox["\[Chi]", "231"]}], "-", 
    RowBox[{"5", " ", 
     SuperscriptBox["Hu0", "2"], " ", 
     SubscriptBox["\[Chi]", "233"]}], "+", 
    RowBox[{"3", " ", 
     SqrtBox["5"], " ", 
     SuperscriptBox["Hu0", "2"], " ", 
     SubscriptBox["\[Chi]", "233"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "ec", " ", "Hdm", " ", 
     SubscriptBox["\[Chi]", "283"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "Hu0", " ", "nuc", " ", 
     SubscriptBox["\[Chi]", "283"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "e", " ", "ec", " ", 
     SubscriptBox["\[Chi]", "291"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "Hu0", " ", "s", " ", 
     SubscriptBox["\[Chi]", "291"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "Hd0", " ", "Hu0", " ", 
     SubscriptBox["\[Chi]", "295"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "Hdm", " ", "Hup", " ", 
     SubscriptBox["\[Chi]", "295"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "e", " ", "Hup", " ", 
     SubscriptBox["\[Chi]", "303"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "Hu0", " ", "nu", " ", 
     SubscriptBox["\[Chi]", "303"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "nu", " ", "nuc", " ", 
     SubscriptBox["\[Chi]", "311"]}], "+", 
    RowBox[{"4", " ", 
     SqrtBox["10"], " ", "Hd0", " ", "s", " ", 
     SubscriptBox["\[Chi]", "311"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.667642424227147*^9, {3.667642459409194*^9, 3.667642464997827*^9}, {
   3.6676429359523163`*^9, 3.667642961309924*^9}, 3.6676429969735193`*^9, 
   3.667643178844406*^9, {3.6676432090821466`*^9, 3.667643233655991*^9}, 
   3.66764337420471*^9, {3.6676436668919983`*^9, 3.667643671827033*^9}, 
   3.6676437468189774`*^9, {3.667643999445587*^9, 3.6676440224210777`*^9}, {
   3.667644088103725*^9, 3.667644123572191*^9}, {3.667644235864252*^9, 
   3.6676442689018106`*^9}, 3.6676443074139977`*^9, 3.667644359699032*^9, {
   3.667644547418017*^9, 3.6676445743990297`*^9}, {3.667715427714155*^9, 
   3.667715471775977*^9}, {3.6677155114576693`*^9, 3.667715525603128*^9}, 
   3.667715577731161*^9, {3.6677156127822*^9, 3.6677156458556967`*^9}, 
   3.6677252159016047`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   SqrtBox["2"]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "nu"}], " ", 
     OverscriptBox["s", "_"], " ", 
     SubscriptBox["\[Chi]", "201"]}], "-", 
    RowBox[{"nu", " ", 
     OverscriptBox["nuc", "_"], " ", 
     SubscriptBox["\[Chi]", "203"]}], "-", 
    RowBox[{"nu", " ", 
     OverscriptBox["Hu0", "_"], " ", 
     SubscriptBox["\[Chi]", "205"]}], "+", 
    RowBox[{
     OverscriptBox["nu", "_"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Hd0", " ", 
        SubscriptBox["\[Chi]", "200"]}], "+", 
       RowBox[{"s", " ", 
        SubscriptBox["\[Chi]", "201"]}], "+", 
       RowBox[{"nuc", " ", 
        SubscriptBox["\[Chi]", "203"]}], "+", 
       RowBox[{"Hu0", " ", 
        SubscriptBox["\[Chi]", "205"]}]}], ")"}]}], "-", 
    RowBox[{"Hup", " ", 
     OverscriptBox["e", "_"], " ", 
     SubscriptBox["\[Chi]", "220"]}], "+", 
    RowBox[{"e", " ", 
     OverscriptBox["Hup", "_"], " ", 
     SubscriptBox["\[Chi]", "220"]}], "-", 
    RowBox[{"Hup", " ", 
     OverscriptBox["Hdm", "_"], " ", 
     SubscriptBox["\[Chi]", "222"]}], "+", 
    RowBox[{"Hdm", " ", 
     OverscriptBox["Hup", "_"], " ", 
     SubscriptBox["\[Chi]", "222"]}], "-", 
    RowBox[{"Hd0", " ", 
     OverscriptBox["s", "_"], " ", 
     SubscriptBox["\[Chi]", "232"]}], "-", 
    RowBox[{"Hd0", " ", 
     OverscriptBox["nuc", "_"], " ", 
     SubscriptBox["\[Chi]", "234"]}], "-", 
    RowBox[{"Hd0", " ", 
     OverscriptBox["Hu0", "_"], " ", 
     SubscriptBox["\[Chi]", "236"]}], "+", 
    RowBox[{
     OverscriptBox["Hd0", "_"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "nu"}], " ", 
        SubscriptBox["\[Chi]", "200"]}], "+", 
       RowBox[{"s", " ", 
        SubscriptBox["\[Chi]", "232"]}], "+", 
       RowBox[{"nuc", " ", 
        SubscriptBox["\[Chi]", "234"]}], "+", 
       RowBox[{"Hu0", " ", 
        SubscriptBox["\[Chi]", "236"]}]}], ")"}]}], "-", 
    RowBox[{"s", " ", 
     OverscriptBox["nuc", "_"], " ", 
     SubscriptBox["\[Chi]", "248"]}], "+", 
    RowBox[{"nuc", " ", 
     OverscriptBox["s", "_"], " ", 
     SubscriptBox["\[Chi]", "248"]}], "-", 
    RowBox[{"s", " ", 
     OverscriptBox["Hu0", "_"], " ", 
     SubscriptBox["\[Chi]", "250"]}], "+", 
    RowBox[{"Hu0", " ", 
     OverscriptBox["s", "_"], " ", 
     SubscriptBox["\[Chi]", "250"]}], "-", 
    RowBox[{"ec", " ", 
     OverscriptBox["e", "_"], " ", 
     SubscriptBox["\[Chi]", "262"]}], "+", 
    RowBox[{"e", " ", 
     OverscriptBox["ec", "_"], " ", 
     SubscriptBox["\[Chi]", "262"]}], "+", 
    RowBox[{"Hdm", " ", 
     OverscriptBox["ec", "_"], " ", 
     SubscriptBox["\[Chi]", "264"]}], "-", 
    RowBox[{"ec", " ", 
     OverscriptBox["Hdm", "_"], " ", 
     SubscriptBox["\[Chi]", "264"]}], "-", 
    RowBox[{"nuc", " ", 
     OverscriptBox["Hu0", "_"], " ", 
     SubscriptBox["\[Chi]", "275"]}], "+", 
    RowBox[{"Hu0", " ", 
     OverscriptBox["nuc", "_"], " ", 
     SubscriptBox["\[Chi]", "275"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.667642424227147*^9, {3.667642459409194*^9, 3.667642464997827*^9}, {
   3.6676429359523163`*^9, 3.667642961309924*^9}, 3.6676429969735193`*^9, 
   3.667643178844406*^9, {3.6676432090821466`*^9, 3.667643233655991*^9}, 
   3.66764337420471*^9, {3.6676436668919983`*^9, 3.667643671827033*^9}, 
   3.6676437468189774`*^9, {3.667643999445587*^9, 3.6676440224210777`*^9}, {
   3.667644088103725*^9, 3.667644123572191*^9}, {3.667644235864252*^9, 
   3.6676442689018106`*^9}, 3.6676443074139977`*^9, 3.667644359699032*^9, {
   3.667644547418017*^9, 3.6676445743990297`*^9}, {3.667715427714155*^9, 
   3.667715471775977*^9}, {3.6677155114576693`*^9, 3.667715525603128*^9}, 
   3.667715577731161*^9, {3.6677156127822*^9, 3.6677156458556967`*^9}, 
   3.667725216014749*^9}]
}, Open  ]]
},
WindowSize->{960, 1016},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 4875, 115, 359, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[5458, 139, 5492, 142, 468, "Input"],
Cell[10953, 283, 3683, 102, 135, "Output"],
Cell[CellGroupData[{
Cell[14661, 389, 427, 6, 23, "Print"],
Cell[15091, 397, 425, 6, 23, "Print"]
}, Open  ]],
Cell[15531, 406, 801, 12, 30, "Output"],
Cell[16335, 420, 803, 12, 30, "Output"],
Cell[17141, 434, 801, 12, 30, "Output"],
Cell[17945, 448, 801, 12, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18783, 465, 2262, 61, 202, "Input"],
Cell[21048, 528, 3293, 62, 147, "Output"],
Cell[24344, 592, 9882, 249, 338, "Output"],
Cell[34229, 843, 277, 4, 23, "Print"]
}, Open  ]],
Cell[34521, 850, 819, 19, 88, "Input"],
Cell[CellGroupData[{
Cell[35365, 873, 2092, 51, 278, "Input"],
Cell[CellGroupData[{
Cell[37482, 928, 338, 5, 23, "Print"],
Cell[37823, 935, 338, 5, 23, "Print"],
Cell[38164, 942, 338, 5, 23, "Print"],
Cell[38505, 949, 338, 5, 23, "Print"],
Cell[38846, 956, 338, 5, 23, "Print"],
Cell[39187, 963, 338, 5, 23, "Print"],
Cell[39528, 970, 337, 5, 23, "Print"],
Cell[39868, 977, 338, 5, 23, "Print"],
Cell[40209, 984, 338, 5, 23, "Print"],
Cell[40550, 991, 340, 5, 23, "Print"],
Cell[40893, 998, 338, 5, 23, "Print"],
Cell[41234, 1005, 338, 5, 23, "Print"],
Cell[41575, 1012, 340, 5, 23, "Print"],
Cell[41918, 1019, 338, 5, 23, "Print"],
Cell[42259, 1026, 340, 5, 23, "Print"],
Cell[42602, 1033, 338, 5, 23, "Print"],
Cell[42943, 1040, 338, 5, 23, "Print"],
Cell[43284, 1047, 338, 5, 23, "Print"],
Cell[43625, 1054, 338, 5, 23, "Print"],
Cell[43966, 1061, 338, 5, 23, "Print"],
Cell[44307, 1068, 340, 5, 23, "Print"],
Cell[44650, 1075, 338, 5, 23, "Print"],
Cell[44991, 1082, 340, 5, 23, "Print"],
Cell[45334, 1089, 338, 5, 23, "Print"],
Cell[45675, 1096, 338, 5, 23, "Print"],
Cell[46016, 1103, 340, 5, 23, "Print"],
Cell[46359, 1110, 338, 5, 23, "Print"]
}, Open  ]],
Cell[46712, 1118, 17574, 359, 373, "Output"],
Cell[64289, 1479, 484, 7, 30, "Output"],
Cell[64776, 1488, 17574, 359, 373, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82387, 1852, 1309, 30, 145, "Input"],
Cell[83699, 1884, 810, 22, 47, "Output"],
Cell[84512, 1908, 438, 10, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84987, 1923, 4866, 111, 373, "Input"],
Cell[89856, 2036, 4236, 113, 143, "Output"],
Cell[94095, 2151, 3836, 103, 116, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
